curl --request GET \
--url https://api.growthchannel.io/daily-auction/?date_from=2025-01-01&date_to=2025-1-03&advertiser_id=544
Public endpoints
Daily Auction
GET
/
daily-auction
/
?date_from=
{date_from}
&date_to=
{date_to}
&advertiser_id=
{advertiser_id}
&response_format=
{response_format}
curl --request GET \
--url https://api.growthchannel.io/daily-auction/?date_from=2025-01-01&date_to=2025-1-03&advertiser_id=544
Maximum date range 365 days
This endpoint is protected and requires an agency API key for access.
curl --request GET \
--url https://api.growthchannel.io/daily-auction/?date_from=2025-01-01&date_to=2025-1-03&advertiser_id=544
Method
GETEndpoint
/daily-auction/Headers
string
required
The agency’s API key for authorization ask admin to create ot for your usage
Parms
string
required
Date staring from response will be generated
?date_from=2025-01-01string
required
Date ending with response will be generated
?date_to=2025-01-03number
required
The unique identifier for the adveticer
?advertiser_id=544string
The unique identifier for the adveticer
By default:
?response_format=jsonBy default:
‘json’ can choose ‘csv’ | ‘json’Responses
- 200 OK
- 400 Bad Request
- 401 Unauthorized
- 500 Internal Server Error
{
"data": [
{
"campaign_id": 11111,
"campaign_name": "Name | Name | 11",
"impressions": 194,
"clicks": 3,
"spend": 0.65,
"budget": 1704.66,
"matched_bid_opp": 1096,
"date": "2025-04-30"
},
],
"pagination": {
"total_records": 100,
"total_pages": 10
},
"parameters": {
"date_from": "2023-01-01",
"date_to": "2023-01-03",
"advertiser_id": 544
}
}
array
An array of campaign performance objects.
object
object
An object containing the query parameters used for the request.
Returned if required query parameters like Returned if the date range between
date_from or date_to are missing.{
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required parameters",
"details": {
"missing_fields": ["date_from", "date_to"]
},
"request_id": "..."
}
}
date_from and date_to exceeds 31 day.{
"error": {
"code": "VALIDATION_ERROR",
"message": "Date range cannot exceed 31 day",
"details": {
"date_from": "2025-01-01",
"date_to": "2025-1-09",
"date_range": 8,
"max_allowed": 7
},
"request_id": "4cf3fd6c-b2a8-483d-bb50-f51255c4943c"
}
}
Returned if the
X-Api-Key header is missing or invalid.Returned if there is an unexpected error on the server while fetching data.
